## awn-defines awn-defines |

## Types and Values

#define | AWN_MAX_HEIGHT
#define | AWN_MIN_HEIGHT
enum | AwnAppletFlags
enum | AwnAppletLicense
enum | AwnPathType
#define | AWN_PANEL_ID_DEFAULT
#define | AWN_FONT_SIZE_EXTRA_SMALL
#define | AWN_FONT_SIZE_SMALL
#define | AWN_FONT_SIZE_MEDIUM
#define | AWN_FONT_SIZE_LARGE
#define | AWN_FONT_SIZE_EXTRA_LARGE

## Description

## Functions

## Types and Values

### AWN_MAX_HEIGHT

    #define AWN_MAX_HEIGHT 100

The maximum size of the panel

### AWN_MIN_HEIGHT

    #define AWN_MIN_HEIGHT 12

The minimum size of the panel

### enum AwnAppletFlags

#### Members

AWN_APPLET_FLAGS_NONE |  |
AWN_APPLET_EXPAND_MINOR |  |
AWN_APPLET_EXPAND_MAJOR |  |
AWN_APPLET_IS_EXPANDER |  |
AWN_APPLET_IS_SEPARATOR |  |
AWN_APPLET_HAS_SHAPE_MASK |  |
AWN_APPLET_DOCKLET_HANDLES_POSITION_CHANGE |  |
AWN_APPLET_DOCKLET_CLOSE_ON_MOUSE_OUT |  |

### enum AwnAppletLicense

The license to use for the applet's about dialog. Starting the acceptable values at 10 makes it rather unlikely that someone can specify a license type by accident.

#### Members

AWN_APPLET_LICENSE_GPLV2 | GPL version 2 or later |
AWN_APPLET_LICENSE_GPLV3 | GPL version 3 or later |
AWN_APPLET_LICENSE_LGPLV2_1 | LGPL version 2.1 or later |
AWN_APPLET_LICENSE_LGPLV3 | LGPL version 3 or later |

### enum AwnPathType

Describes the layout of icons on the panel.

#### Members

AWN_PATH_LINEAR | Standard (non-curved) panel layout. |
AWN_PATH_ELLIPSE | Elliptical (curved) panel layout. |
AWN_PATH_LAST | Placeholder value. |

### AWN_PANEL_ID_DEFAULT

    #define AWN_PANEL_ID_DEFAULT 1

The default panel ID.

### AWN_FONT_SIZE_EXTRA_SMALL

    #define AWN_FONT_SIZE_EXTRA_SMALL 6.0

Extra small font size. For use with AwnOverlayText. Standardized font sizes to be used with AwnOverlayText. Corresponds to standard Pango font size units for standard `PANGO_SCALE` when the awn icon size is 48.0 pixels.

### AWN_FONT_SIZE_SMALL

    #define AWN_FONT_SIZE_SMALL       9.0

Small font size. For use with AwnOverlayText. Standardized font sizes to be used with AwnOverlayText. Corresponds to standard Pango font size units for standard `PANGO_SCALE` when the awn icon size is 48.0 pixels.

### AWN_FONT_SIZE_MEDIUM

    #define AWN_FONT_SIZE_MEDIUM      12.0

Medium font size. For use with AwnOverlayText. Standardized font sizes to be used with AwnOverlayText. Corresponds to standard Pango font size units for standard `PANGO_SCALE` when the awn icon size is 48.0 pixels.

### AWN_FONT_SIZE_LARGE

    #define AWN_FONT_SIZE_LARGE       15.0

Large font size. For use with AwnOverlayText. Standardized font sizes to be used with AwnOverlayText. Corresponds to standard Pango font size units for standard `PANGO_SCALE` when the awn icon size is 48.0 pixels.

### AWN_FONT_SIZE_EXTRA_LARGE

    #define AWN_FONT_SIZE_EXTRA_LARGE 18.0

Extra large font size. For use with AwnOverlayText. Standardized font sizes to be used with AwnOverlayText. Corresponds to standard Pango font size units for standard `PANGO_SCALE` when the awn icon size is 48.0 pixels.